> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# Get Evaluation

GET https://your-agent-domain.com/api/v1/evaluators/{id}/evaluations/{evaluationId}

Returns a single evaluation for the evaluator, scoped to the requesting agent.

Reference: https://docs.apologist.ai/agent-api/api-reference/evaluations/get-evaluation

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: agent-api
  version: 1.0.0
paths:
  /evaluators/{id}/evaluations/{evaluationId}:
    get:
      operationId: getEvaluation
      summary: Get Evaluation
      description: >-
        Returns a single evaluation for the evaluator, scoped to the requesting
        agent.
      tags:
        - evaluators
      parameters:
        - name: id
          in: path
          description: The id or key of the evaluator
          required: true
          schema:
            type: string
        - name: evaluationId
          in: path
          description: The id or UUID of the evaluation
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The evaluation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Evaluators_getEvaluation_Response_200'
        '403':
          description: Forbidden - Invalid or missing API key
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://your-agent-domain.com/api/v1
    description: Production server
components:
  schemas:
    EvaluatorsIdEvaluationsEvaluationIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties: {}
      title: >-
        EvaluatorsIdEvaluationsEvaluationIdGetResponsesContentApplicationJsonSchemaData
    Evaluators_getEvaluation_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EvaluatorsIdEvaluationsEvaluationIdGetResponsesContentApplicationJsonSchemaData
      title: Evaluators_getEvaluation_Response_200
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

```

## Examples



**Response**

```json
{
  "data": {}
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.evaluators.getEvaluation("evaluationId", "id");
}
main();

```

```python
from apologist import ApologistAgent

client = ApologistAgent(
    api_key="YOUR_API_KEY_HERE",
)

client.evaluators.get_evaluation(
    evaluation_id="evaluationId",
    id="id",
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.evaluators.requests.GetEvaluationRequest;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.evaluators().getEvaluation(
            "id",
            "evaluationId",
            GetEvaluationRequest
                .builder()
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new(api_key: "YOUR_API_KEY_HERE")

client.evaluators.get_evaluation(
  evaluation_id: "evaluationId",
  id: "id"
)

```

```csharp
using Apologist;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new AgentClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Evaluators.GetEvaluationAsync(
            new GetEvaluationRequest {
                Id = "id",
                EvaluationId = "evaluationId"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
    option "github.com/apologist-project/apg-sdk-go/option"
)

func do() {
    client := client.NewApologistAgentClient(
        option.WithAPIKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &apgsdkgo.GetEvaluationRequest{
        ID: "id",
        EvaluationID: "evaluationId",
    }
    client.Evaluators.GetEvaluation(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;

$client = new AgentClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->evaluators->getEvaluation(
    'evaluationId',
    'id',
);

```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/evaluators/id/evaluations/evaluationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```